unit About;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Version, PNG_Graphic;

type
  TfrmAbout = class(TForm)
    Image1: TImage;
    Memo1: TMemo;
    Button1: TButton;
    Label2: TLabel;
    lblMyEmail: TLabel;
    Image2: TImage;
    lblVersion: TLabel;
    lblWebSite: TLabel;
    lblThanksWebSite: TLabel;
    procedure lblMyEmailClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure lblWebSiteClick(Sender: TObject);
    procedure lblThanksWebSiteClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

implementation

{$R *.DFM}

uses
  ShellAPI, InsideUOText;

procedure TfrmAbout.FormShow(Sender: TObject);
var
  VI : TVersionInformation;
begin
  GetVersionInformation(VI, LANG_ENGLISH, SUBLANG_ENGLISH_US, 1252);
//  lblProductName.Caption := VI.ProductName;
  lblVersion.Caption := VI.FileVersion;
//  lblCopyright.Caption := VI.LegalCopyright;
//  lblDescription.Caption := VI.FileDescription;
end;

procedure TfrmAbout.lblMyEmailClick(Sender: TObject);
begin
  ShellExecute(application.handle, 'open', MyEmailURL, '', '', SW_SHOW);
end;

procedure TfrmAbout.lblWebSiteClick(Sender: TObject);
begin
  ShellExecute(application.handle, 'open', InsideUOURL, '', '', SW_SHOW);
end;

procedure TfrmAbout.lblThanksWebSiteClick(Sender: TObject);
begin
  ShellExecute(application.handle, 'open', ThanksURL, '', '', SW_SHOW);
end;

end.
