unit UOHues;

interface

type
 {$A-}
  THueColorTable = array[0..31] of Word;
  THueName = array[0..19] of Char;

  THueEntry = record
    ColorTable : THueColorTable;
    TableStart, TableEnd : Word;
    Name : THueName;
  end;

  THueGroup = record
    Header : Integer;
    Entries : Array[0..7] of THueEntry;
  end;
 {$A+}

 function ConvertToGray(C : Word) : Word;

implementation

function ConvertToGray(C : Word) : Word;
begin
  Result :=
    (
      (C and $1F) * 299 +          // Red * 0.299
      ((C shr 5) and $1F) * 587 +  // Green * 0.587
      ((C shr 10) and $1F) * 114   // Blue * 0.114
    ) div 1000;
end;

end.
